% RA: francisco.in
% Paco es igual a Curro con axiomas de igualdad
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Formalización
%==============================================================================

set(binary_res).

list(sos).
 x=x.                 % Reflexividad
 x!=y | y=x.          % Simetría
 x!=y | y!=z | x=z.   % Transisitividad
 francisco = curro.
 francisco = paco.
 paco != curro.
end_of_list.

%==============================================================================
